package com.nisum.product;


import com.nisum.product.service.ProductsOfferService;
import org.apache.spark.sql.SparkSession;
import org.apache.spark.sql.streaming.StreamingQueryException;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.WebApplicationType;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.builder.SpringApplicationBuilder;
import org.springframework.context.annotation.Bean;

import java.util.concurrent.TimeoutException;

@SpringBootApplication
public class ProductInfoApiApplication {



    public static void main(String[] args) throws TimeoutException, StreamingQueryException {

        new SpringApplicationBuilder(ProductInfoApiApplication.class)
                .web(WebApplicationType.REACTIVE)
                .run(args);

        ProductsOfferService productsOfferService= new ProductsOfferService();
        String batchId=productsOfferService.readFromCsvAndPushToKafka("test-product3");
        productsOfferService.readFromKafkaTransformIntoCSV(batchId);


    }


}
